Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class TrackEvent

    java.lang.Object
      net.hyperic.hq.product.TrackEvent

All Implemented Interfaces:
  java.io.Serializable

public class TrackEvent
extends java.lang.Object
implements java.io.Serializable

Simple data class for sending config and log track events back to the server. Eventually these may need to be seperated out.

See Also:
  Serialized Form

Constructor Summary
`TrackEvent(net.hyperic.hq.appdef.shared.AppdefEntityID id, long time, int level, java.lang.String source, java.lang.String message)`
`TrackEvent(java.lang.String id, long time, int level, java.lang.String source, java.lang.String message)`

Method Summary
`static TrackEvent` | `decode(java.lang.String data)`
`java.lang.String` | `encode()`
`net.hyperic.hq.appdef.shared.AppdefEntityID` | `getAppdefId()`
`int` | `getLevel()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getSource()`
`long` | `getTime()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TrackEvent

    public TrackEvent(net.hyperic.hq.appdef.shared.AppdefEntityID id,
                      long time,
                      int level,
                      java.lang.String source,
                      java.lang.String message)

### TrackEvent

    public TrackEvent(java.lang.String id,
                      long time,
                      int level,
                      java.lang.String source,
                      java.lang.String message)

Method Detail

### getAppdefId

    public net.hyperic.hq.appdef.shared.AppdefEntityID getAppdefId()

### getSource

    public java.lang.String getSource()

### getMessage

    public java.lang.String getMessage()

### getTime

    public long getTime()

### getLevel

    public int getLevel()

### encode

    public java.lang.String encode()
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public static TrackEvent decode(java.lang.String data)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.